﻿//
// ConfigurationMessage.cs
//
// Author:
//       Carsten Sonne Larsen <cs@innolan.dk>
//
// Copyright (c) 2016 Carsten Sonne Larsen
//
// Permission is hereby granted, free of charge, to any person obtaining a copy
// of this software and associated documentation files (the "Software"), to deal
// in the Software without restriction, including without limitation the rights
// to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
// copies of the Software, and to permit persons to whom the Software is
// furnished to do so, subject to the following conditions:
//
// The above copyright notice and this permission notice shall be included in
// all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
// THE SOFTWARE.

namespace Ntp.Analyzer.Localize
{
    public static class ConfigurationMessage
    {
        public const string DatabaseMissing = "Database section is missing.";
        public const string NoValueForSetting = "No value was specified for {0} in {1} section.";
        public const string InvalidValue = "Invalid value specified for {0} in {1} section.";
        public const string InvalidIntegerValue = "Invalid integer value specified for {0} in {1} section.";
        public const string InvalidBooleanValue = "Invalid boolean value specified for {0} in {1} section.";
        public const string InvalidNumericValue = "Invalid numeric value specified for {0} in {1} section.";
        public const string UnknownMenuItem = "Unknown menu item type {0}";
        public const string UnknownUser = "User {0} does not exist.";
        public const string UnknownGroup = "Group {0} does not exist.";

        public const string HostGraphLinkIndex1 = "LinkIndex out of range while getting host graph link [{0}].";
        public const string HostGraphLinkIndex2 = "LinkIndex out of range while getting host graph alt name [{0}].";
        public const string PeerGraphLinkIndex = "LinkIndex out of range while getting peer graph link [{0}].";
        public const string TrafficGraphLinkIndex1 = "LinkIndex out of range while getting traffic graph link [{0}].";

        public const string TrafficGraphLinkIndex2 =
            "LinkIndex out of range while getting traffic graph alt name [{0}].";

        public const string MissingReference = "Cannot find {0} {1} specified in {2}";
        public const string WrongReference = "{0} in {1} {2} is not defined correctly.";
        public const string ConfiguredGraphs = "Known graphs:";
        public const string ConfiguredPeerPages = "Known peer pages:";
        public const string ConfiguredGraphPages = "Known graph pages:";
        public const string ConfiguredPeerSummaryPages = "Known peer summary pages:";
        public const string ConfiguredPages = "Known pages:";

        public const string AboutPageContentMissing = "About page does not contain a Content section.";
    }
}