﻿//
// InitializationMessage.cs
//
// Author:
//       Carsten Sonne Larsen <cs@innolan.dk>
//
// Copyright (c) 2016 Carsten Sonne Larsen
//
// Permission is hereby granted, free of charge, to any person obtaining a copy
// of this software and associated documentation files (the "Software"), to deal
// in the Software without restriction, including without limitation the rights
// to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
// copies of the Software, and to permit persons to whom the Software is
// furnished to do so, subject to the following conditions:
//
// The above copyright notice and this permission notice shall be included in
// all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
// THE SOFTWARE.

namespace Ntp.Analyzer.Localize
{
    public static class InitializationMessage
    {
        public const string Welcome = "NTP Analyzer {0} started.";
        public const string UsingConfig = "Using configuration {0}";
        public const string UsingPid = "Running with pid {0}";
        public const string UsingName = "Instance named {0}";
        public const string UsingUserId = "Running under user id {0}";

        public const string JobInitStart = "Initializing jobs.";
        public const string JobInitEnd = "All jobs initialized.";
        public const string ListenerReady = "Listening on {0}";
        public const string ListenerError = "Error during initialization of listeners.";
        public const string ClusterReady = "Requesting to cluster {0}";
        public const string ClusterError = "Error during initialization of cluster node.";
        public const string NewHost = "Created a new host in database ID {0} with name {1} and IP {2}.";
        public const string NewPeer = "Created a new peer in database with name {0} and IP {1}.";

        public const string DatabaseError = "Error during initialization of database.";
        public const string TableError = "Could not populate tables with data.";
        public const string SchedulerError = "Error during initialization of scheduler.";
        public const string UserIdError = "Failed to set user id {0}";
        public const string NoConfig = "Cannot find configuration file {0}";
        public const string ConfigError = "Cannot read configuration file {0}";
        public const string ConfigParseError = "Errors in configuration file:";
        public const string LogFileError = "Cannot create log file. {0}";
        public const string PidFileError = "Cannot create pid file. {0}";
    }
}